vamos a intentar portar la 4.3

Roberto Ferrando Arroyo

Simdualero de Plata
17 Mar 2013
69
2
A, A
#1
muy buenas , pues nada cansado de esperar a que haier le meta caña a nuestro 910 e decidido meterme en faena (dentro de mis posibilidades) y e buscado una rom para un terminal parecido al nuestro para usar como base el ganador a sido el razr hd que usa el mismo procesador y solo cambia el tamaño de pantalla y el almacenamiento interno.



se supone que la rom ya esta portada pero al intentar instalarlo me dice que la rom es para el device motorola razr y que yo tengo un hw_w910 ( this package is for " ..... )

alguien sabe donde carajo se cambia esto?

en el prop no hay nada de motorola , venga a ver si entre todos adelantamos algo


muchas gracias
 

Rober Ramos

Simdualero de Bronce
3 Oct 2013
45
1
#2
Por fin nos metemos a esto me puedes pasar la ROM para mirarlo a ver si encuentro algo?

Sent from my W910 using Tapatalk
 

aingerun

Aumentando Conocimiento
Diamante
26 Dic 2011
1.357
734
Bizkaia
#3
En el archivo builp.prop del system es donde se cambian todos esos datos, yo, en el mío, así lo he hecho.
Ayudarte al cambio de ROM, yo poco puedo hacer, no tengo ni idea.
 

Rober Ramos

Simdualero de Bronce
3 Oct 2013
45
1
#4
Y en el framework no hay nada?

Sent from my W910 using Tapatalk
 

xisco

Simdualero de Plata
23 Nov 2013
88
7
#5
creo que cambiar lineas del archivo /system/build.prop ese que te dicen dice en que modelo se puede instalar, borralo y ale.
Lo he sacado de aqui http://en.miui.com/thread-20482-1-1.html, que es para portar una rom a miui, supongo que valdra igual :up:
Creo que son estas, cambialas por las que van en tu movil
ro.product.model=
ro.product.brand=
ro.product.name=
ro.product.board=
ro.product.locale.language=en
ro.product.locale.region=US
y de la rom que vas a usar del otro movil tambien ve al directorio \META-INF\com\google\android y borra las lineas que empiecen con la palabra assert, como estas:
assert(getprop("ro.product.device") == "cancro" ||getprop("ro.build.product") == "cancro");
 

gacama

@god, lider del lobby
Diamante
18 Nov 2013
5.369
7.567
Murcia
#6
eso son condiciones que se meten al updater.script para evitar flashear la rom en un terminal diferente, si no sabeis encontrarlo, y no sabeis de donde sale, por favor, dejad el tema en tal estado, petareis el movil
 

Roberto Ferrando Arroyo

Simdualero de Plata
17 Mar 2013
69
2
A, A
#7
eso son condiciones que se meten al updater.script para evitar flashear la rom en un terminal diferente, si no sabeis encontrarlo, y no sabeis de donde sale, por favor, dejad el tema en tal estado, petareis el movil
ayudanos a solucionarlo please
 

gacama

@god, lider del lobby
Diamante
18 Nov 2013
5.369
7.567
Murcia
#8
me repito, si no sabes solucionar eso, entiendo que haya mil cambios que hacer en la rom que estaran sin hacer, y le puedes meter un brick curioso al movil, portar una rom no es cambiar unas lineas en el build.prop y a correr, es un proceso mucho mas complejo que eso
 

Roberto Ferrando Arroyo

Simdualero de Plata
17 Mar 2013
69
2
A, A
#9
nada gente a ver si entre todos lo sacamos id dando ideas que ire haciendo y probando a tomar por culo si peta el movil
 

Roberto Ferrando Arroyo

Simdualero de Plata
17 Mar 2013
69
2
A, A
#10
creo que cambiar lineas del archivo /system/build.prop ese que te dicen dice en que modelo se puede instalar, borralo y ale.
Lo he sacado de aqui http://en.miui.com/thread-20482-1-1.html, que es para portar una rom a miui, supongo que valdra igual :up:
Creo que son estas, cambialas por las que van en tu movil
ro.product.model=
ro.product.brand=
ro.product.name=
ro.product.board=
ro.product.locale.language=en
ro.product.locale.region=US
y de la rom que vas a usar del otro movil tambien ve al directorio \META-INF\com\google\android y borra las lineas que empiecen con la palabra assert, como estas:
assert(getprop("ro.product.device") == "cancro" ||getprop("ro.build.product") == "cancro");


borrando los assert me salta este error en la instalacion

set metadata recursive: some changes failed
E: Error in /sdcard/Download/cm-11-20140215-nighly-ville.zip
(Status 7)
Installation Aborted.

creo que nos hace falta un cwm mas moderno
 

aingerun

Aumentando Conocimiento
Diamante
26 Dic 2011
1.357
734
Bizkaia
#11
Yo tengo instalado un 6.0.1.5, no se si te servirá
Edito: Tengo 6.0.2.6 by stopno.net. Es chino pero me estero de casi todo
 

Rober Ramos

Simdualero de Bronce
3 Oct 2013
45
1
#12
El Xperia t también es muy parecido, en hardware es completamente igual

Sent from my W910 using Tapatalk